Sous Mac OS X 10.10.5, macports 2.3.4, AMC @1923, AMC, fonctionne avec une installation sous PERL 
5.22.?? mais l'interface ne fonctionne pas avec une installation sous perl 5.24.0. Il ne se passe rien lorsqu'on 
essaie d'utiliser les menus d'AMC.

Est-ce que AMC a déjà été testé avec PERL 5.24.0 ?

History
10/06/2016 11:39 am - Alexis Bienvenüe
J'ai récemment mis à jour perl en version 5.24 sur ma debian, et il me semble qu'AMC marche toujours… Quels sont les symptômes exacts ? Peut-on 
voir quelque chose de particulier dans le fichier @log@ produit en appelant @auto-multiple-choice@ en mode débogage ?

   auto-multiple-choice --debug

10/06/2016 11:58 am - Joël Brogniart
Arg, je viens juste de tout nettoyer pour faire un autre test :-)

Je reviens sur ça plus tard.

10/06/2016 02:03 pm - Joël Brogniart
- File AMC-DEBUG-hlzKjVb2.log added

Voici un nouveau journal. Les erreurs apparaissent dès qu'on survole ou qu'on clique sur la zone d'un menu.

10/06/2016 02:24 pm - Alexis Bienvenüe
Est-ce que les exemples de code de https://github.com/kevinphilp/Perl-gtk3-Tutorial fonctionnent ?

10/06/2016 03:15 pm - Joël Brogniart
Oui, ils fonctionnent correctement.

11/07/2016 12:20 pm - Joël Brogniart
Bon, ça devait être un problème de transition de Perl 5.22 vers 5.24 incomplète. Maintenant que la transition est finie, AMC @1939 fonctionne 
correctement.

J'ai eu droit à quelques messages d'erreur mais rien qui n'empêchait le fonctionnement de base. Faut juste que je vérifie pour le module perl Clone.

----messages d'erreur------
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Use of uninitialized value $both in concatenation (.) or string at /opt/local/lib/AMC/perl/AMC-gui.pl line 3867.
Use of the encoding pragma is deprecated at /opt/local/lib/AMC/perl/AMC-prepare.pl line 21.
Can't locate Clone.pm in @INC (you may need to install the Clone module) (@INC contains: 
/opt/local/lib/perl5/site_perl/5.24/darwin-thread-multi-2level /opt/local/lib/perl5/site_perl/5.24 
/opt/local/lib/perl5/vendor_perl/5.24/darwin-thread-multi-2level /opt/local/lib/perl5/vendor_perl/5.24 /opt/local/lib/perl5/5.24/darwin-thread-multi-2level 

06/29/2025 1/2



/opt/local/lib/perl5/5.24 .) at /opt/local/lib/AMC/perl/AMC-prepare.pl line 26.
BEGIN failed--compilation aborted at /opt/local/lib/AMC/perl/AMC-prepare.pl line 26.
ppmtoxpm: (Computing colormap...
ppmtoxpm: ...Done.  256 colors found.)
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
-----------

11/07/2016 01:24 pm - Alexis Bienvenüe
Le module perl @Clone@ est une nouvelle dépendance d'AMC (apparue avec la révision commit:e96bb3a65b10).

11/07/2016 01:57 pm - Joël Brogniart
Oui, j'ai vu ça et l'ai installé.

11/29/2016 01:32 pm - Joël Brogniart
Le ticket peut être clos.

11/29/2016 02:11 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

OK, merci.

Files
auto-multiple-choice.log 27.3 kB 10/06/2016 Joël Brogniart
AMC-DEBUG-hlzKjVb2.log 13.7 kB 10/06/2016 Joël Brogniart
